\documentclass{standalone}

\usepackage{pgf,tikz,pgfplots}
\pgfplotsset{compat=1.15}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm, scale=0.75]
\begin{axis}[
x=1cm,y=1cm,
axis lines=middle,
ymajorgrids=true,
xmajorgrids=true,
xmin=-1.5,
xmax=3.5,
ymin=-2.5,
ymax=2.5,
xtick={-1,0,...,3},
ytick={-2,-1,...,2},]
\clip(-1.5,-2.5) rectangle (3.5,2.5);
\draw[line width=1.5pt,color=PartieGeometrie,smooth,samples=100,domain=-2:-0.1] plot(\x,{1/(\x)});
\draw[line width=1.5pt,color=PartieGeometrie,smooth,samples=100,domain=0.1:4] plot(\x,{1/(\x)});
\end{axis}
\end{tikzpicture}
\end{document}